
function [Xn,Zn, params_fit, Rfit] = LH82_function_fit(Xr, Zr,params_in,mu_range)
    
if (nargin<4)
   mu_range = [-1.33:0.01:1.33];    
end;

nr = size(Xr,1);  % size of input data. hopefully it is a column vector.  

plot_flag =0;    
if ((nargin==3)&(~isempty(params_in))),
  L = params_in(1);
  W = params_in(2);
  theta = params_in(3);
  x0 = params_in(4);
  z0 = params_in(5);
else
  disp('error:  need params')
%  W = 0.4;
%  x0= 0;
%  z0=1.7;
%  theta = 180+40;  %71.5651
%  params_in = [mag, theta, x0, z0];  
end;

% ii = find((Xr<2)&(Xr>-0.5));
% Xr = Xr(ii);
% Zr = Zr(ii);

[Xi,Zi] = LH82functionFF(L, W, theta,x0,z0, mu_range);

R = wave_fit_error_LH82(params_in, Xr, Zr, mu_range);

% define the error function that gets minimized

f=@(params_in)wave_fit_error_LH82(params_in,Xr,Zr,mu_range);

%Minimize on the mismatch function between the data and the LH82 shape
[params_fit,fval,exitflag,output]=fminsearch(f,params_in);

Rfit = wave_fit_error_LH82(params_fit, Xr, Zr, mu_range);
%params
%params_fit

[Xn,Zn] = LH82functionFF( params_fit(1), params_fit(2), params_fit(3), params_fit(4), params_fit(5), mu_range);


return



% nmu = length(Xi);
% 
% npt = 1;
% 
% % xDist=pdist2(Xr,Xi,'euclidean','smallest',npt);
% % zDist=pdist2(Zr,Zi,'euclidean','smallest',npt);
% % distsq1 = xDist.^2+zDist.^2;
% % rpt1 = sum(distsq1,1)/npt;
% % residual1 =  sum(rpt1)./nmu ;
% 
% index_in = inpolygon(Xr,Zr, Xn, Zn);
% xDist=pdist2(Xn,Xr,'euclidean','smallest',npt);
% zDist=pdist2(Zn,Zr,'euclidean','smallest',npt);
% derr = sqrt(xDist.^2+zDist.^2);
% derr = derr(:);
% 
% ii_in_good = find( (index_in==1)&(derr<0.3));
% ii_out_good = find( (index_in==0)&(derr<0.1));
% ii_good = union(ii_in_good,ii_out_good);
% 
% keyboard
% 
% plot_flag=1;
% if (plot_flag==1)
%     figure(1),clf
%     plot(Xr,Zr,'k.')
%     hold on
%     plot(Xr(ii_good),Zr(ii_good),'r.')
%     plot(Xn,Zn,'g',Xi,Zi,'b--')
%     hold off
%     title(sprintf('test of fit: R0=%f,  Rfinal=%f',R,fval));
% %    xlim([-1 2])
%     axis equal
%     grid
%     xlabel('$\tilde{x}$','interpreter','latex')
%     ylabel('$\tilde{z}$','interpreter','latex')
% end;
% 
% 
% figure(2)
% subplot(2,2,2)
% xx = [1:nr];
% plot(xx,derr)
% 
% keyboard
