figure(4),clf,orient tall

set(0,'DefaultAxesFontName','times')
set(0,'DefaultAxesFontWeight','normal')
set(0,'DefaultAxesFontSize',12);
set(0,'DefaultAxesTitleFontWeight','normal')
set(0,'DefaultAxesTitleFontSizeMultiplier',1)

Xbp3 = mean(Xbp(:,3))-Xbp(:,3);
Xbp2 = mean(Xbp(:,2))-Xbp(:,2);
Xbp1 = nanmean(Xbp(:,1))-Xbp(:,1);
subplot(3,2,1)
hh=plot(REstar,Xbp3,'ko','markerfacecolor','b'),grid
hold on
hh=plot(REstar,Xbp2,'ko','markerfacecolor','r'),grid
hh=plot(REstar,Xbp1,'ko','markerfacecolor','g'),grid
legend('Bo=4000','Bo=1000','Bo=200','location','northwest')
%xlabel('Uw/C at y=3')
%xlabel('RE^*')
ylabel('$\Delta \bar{x}_\mathrm{bp}/h_0$','interpreter','latex')
xlabel('$\mathrm{Re}^*$','interpreter','latex')

% subplot(3,2,2)
% plot(REstar,tbp0A,'*'),grid
% %xlabel('Uw/C at y=3')
% %xlabel('RE^*')
% ylabel('time bp')

subplot(3,2,2)
plot(REstar,Ytop(:,3),'ko','markerfacecolor','b'),grid
%xlabel('Uw/C at y=3')
ylabel('$H/h_0$','interpreter','latex')
xlabel('$\mathrm{Re}^*$','interpreter','latex')

subplot(3,2,3)
plot(REstar,Void_Area(:,3)./(Ytop(:,3).^2),'ko','markerfacecolor','b'),grid
hold on
plot(REstar,Void_Area(:,2)./(Ytop(:,2).^2),'ko','markerfacecolor','r'),grid
plot(REstar,Void_Area(:,1)./(Ytop(:,1).^2),'ko','markerfacecolor','g'),grid
hold off
legend('Bo=4000','Bo=1000','Bo=200','location','southwest')
%xlabel('Uw/C at y=3')
ylabel('$A_\mathrm{V}/H^2$','interpreter','latex')
xlabel('$\mathrm{Re}^*$','interpreter','latex')

subplot(3,2,4)
plot(REstar,W_fit(:,3)./L_fit(:,3),'ko','markerfacecolor','b'),grid
%xlabel('Uw/C at y=3')
ylabel('Aspect Ratio $W/L$','interpreter','latex')
xlabel('$\mathrm{Re}^*$','interpreter','latex')

subplot(3,2,5)
plot(REstar,Area_Lip(:,3)./(Ytop(:,3).^2),'ko','markerfacecolor','b'),grid
%xlabel('Uw/C at y=3')
ylabel('$A_\mathrm{J}/H^2$','interpreter','latex')
xlabel('$\mathrm{Re}^*$','interpreter','latex')

subplot(3,2,6)
plot(REstar,theta_fit(:,3),'ko','markerfacecolor','b'),grid
%xlabel('Uw/C at y=3')
ylabel('angle of overturn (deg)','interpreter','latex')
xlabel('$\mathrm{Re}^*$','interpreter','latex')


print('-dpdf','../Figures/overturn_geometry_REstar_BoAll.pdf')
