
function [] = fn_movie_basilisk_prod(REstar, Bo, prod_mon, prod_day)
 
switch prod_day,
  case 9,
    midstr = 'shoal_RE'
  case 18,
    midstr = 'RE';
  otherwise
    disp('*** error bad prod day')
    return
end


prefix = sprintf('/home/kghanson/basilisk/shoaling/runs/test_2022_%02d_%02d/%s%d_BO%d',prod_mon,prod_day,midstr,REstar,Bo);
t0=0.0;
nstart = 1;
Note = sprintf('2022-%02d-%02d Production',prod_mon,prod_day);


a0 = 0.6;


% if (~exist('Bo'))
%     Bo = 200;
% end;
runname = sprintf('Production_%02d_%02d_RE%d_Bo%d',prod_mon,prod_day,REstar,Bo);

syscmd = sprintf('cd img;  rm -f *.png;  ffmpeg -i %s/shoal_vof.ppm  vof%%05d.png; cd ..',prefix);
system(syscmd);
syscmd = sprintf('cd img;  ffmpeg -i %s/shoal_vort.ppm  vort%%05d.png; cd ..',prefix);
system(syscmd);
syscmd = sprintf('cd img;  ffmpeg -i %s/shoal_levels.ppm  levels%%05d.png; cd ..',prefix);
system(syscmd);

DD = dir(sprintf('img/vof*.png'));
nd = length(DD);
nend = nd-1;
disp(sprintf('End image is nend = %d',nend))

%%fid_view = fopen(viewfile,'r');
%%fid_vort = fopen(vortfile,'r');

xnd = [0:1535]*60/1535;
znd = [0:281]'*11.05/282 - 1.05;
%znd = fliplr(znd)

dt = 0.05;

%i_cutoff=458;
i_cutoff=1;

hFig = figure('visible', 'off');

xSize=20;
ySize=18;
set(gcf,'PaperUnits','centimeters')
papersize = [0 0 xSize ySize];
set(gcf,'PaperPosition',papersize)
set(gcf,'color','w')

set(0,'defaultaxesfontname','times')
set(0,'defaultaxesfontsize',11)
set(0,'defaulttextfontsize',12)
set(0,'defaultaxesbox','on')
set(0,'defaultaxeslinewidth',1)

x0_wave = 15;
speed = 1+a0/2;

for i= nstart:nend,
    time = (i-1)*dt + t0;
    disp(sprintf('Making frame: %d  at time %f  for %s',i,time,runname));
    xwave = x0_wave + time*speed;
    ax_blowup = [xwave-7  xwave+7 -1.05 3];

    view_file = sprintf('img/vof%05d.png',i);
    vort_file  = sprintf('img/vort%05d.png',i);
    levels_file  = sprintf('img/levels%05d.png',i);
    

  Aview=imread(view_file);
  Avort=imread(vort_file);
  Alevels = imread(levels_file);

  % Avort = flipud(Avort);  

  h1=subplot(3,1,2);
  image(xnd,znd,flipud(Avort));
  set(h1,'ydir','normal')
  axis([5 55 -1.05 3]);
  %  set(gca,'ydir','reverse')  
  ylabel('$z/h_0$','interpreter','latex','fontsize',12)
  xlabel('$x/h_0$','interpreter','latex','fontsize',12)  
  title('Vorticity','interpreter','latex')
  
  h2=subplot(3,1,1);
  im2=image(xnd,znd,flipud(Aview));
  ylabel('$z/h_0$','interpreter','latex','fontsize',12)
  xlabel('$x/h_0$','interpreter','latex','fontsize',12)
  set(h2,'ydir','normal')
  axis([5 55 -1.05 3])  
  titlestr = sprintf('$\\mathrm{Re}^*=%d$, Bo=%4d, %s,Volume Fraction: $\\sqrt{g/h_0}t = %4.2f$',REstar,Bo,Note,time);
  title(titlestr,'interpreter','latex')


  h2=subplot(3,1,3);
  im2=image(xnd,znd,flipud(Alevels));
  ylabel('$z/h_0$','interpreter','latex','fontsize',12)
  xlabel('$x/h_0$','interpreter','latex','fontsize',12)
  set(h2,'ydir','normal')
  axis([5 55 -1.05 3])  
  titlestr = sprintf('levels');
  title(titlestr,'interpreter','latex')

  
  drawnow

  if (i>=i_cutoff),
  set(gcf,'papersize',[xSize ySize],'paperposition',[ 0 0 xSize ySize]);
  pngfile = sprintf('png/%s_%04d.png',runname,i-1);
  print('-dpng','-r300',pngfile)

  
  subplot(3,1,1)
  axis(ax_blowup)
  subplot(3,1,2)
  axis(ax_blowup)
  subplot(3,1,3)
  axis(ax_blowup)
  %  drawnow

  set(gcf,'papersize',[xSize ySize],'paperposition',[ 0 0 xSize ySize]);
  pngfile = sprintf('png/%s_focus_%04d.png',runname,i-1);
  print('-dpng','-r400',pngfile)
  end

end;



mov_file = sprintf('mp4/%s.mp4',runname);
eval_str = sprintf('ffmpeg -y -r 12 -i png/%s_%%04d.png   -pix_fmt yuv420p %s',runname, mov_file)
system(eval_str);

mov_file = sprintf('mp4/%s_wavefocus.mp4',runname);
eval_str = sprintf('ffmpeg -y -r 12 -i png/%s_focus_%%04d.png   -pix_fmt yuv420p %s',runname, mov_file)
system(eval_str);

