

function [Xn, Zn, params_fit, Xfinal,Zfinal, Rfit] = iterate_LH82_function_fit(Xr0, Zr0, Xback,init_params)

    showfig = 0;
    mu_range = [-1.4:0.01:1.4];
    
        
    ii = find( (Zr0<2)&(Xr0<Xback+2)&(Xr0>Xback-0.4));
    Xr = Xr0(ii);
    Zr = Zr0(ii);
    
    if (nargin==4 & ~isempty(init_params)),
        L0 = init_params(1)/3;
        W0 = init_params(2)/2;
        angle0 = init_params(3);
        x0 = init_params(4);
        z0 = init_params(5);
    else
      x0 = Xback;
      z0 = 0.25;
      angle0 = 40;
      L0 = 0.3;
      W0 = 0.1;
    end;


    [Xn0,Zn0] = LH82functionFF(L0, W0, angle0,x0,z0, mu_range);
    
    params_in = [L0 W0 angle0 x0 z0];
%    params_in =[ 0.3 0.4 230 -3.75 1.5];    
    
    nit=15;
    all_ii_good = cell(nit,1);
    all_index_good = cell(nit+1,1);    
    nsmall =1;
    

    XX = Xr;  ZZ = Zr;
    nXX = length(XX);
    all_index_good{1} = ii;
    
    for i=1:nit,
%        disp(sprintf('* doing fit iteration %02d',i));
         nxx = length(XX);
        [Xn,Zn,params_fit, Rfit] =  LH82_function_fit(XX,ZZ,params_in);
        
%        params_fit  ;
        index_in = inpolygon(XX,ZZ, Xn, Zn);
        xDist=pdist2([ Xn Zn],[XX ZZ],'euclidean','smallest',nsmall);        
%        xDist=pdist2(Xn,XX,'euclidean','smallest',nsmall);
%       zDist=pdist2(Zn,ZZ,'euclidean','smallest',nsmall);
%       derr = sqrt(xDist.^2+zDist.^2);
        derr = xDist;
        derr = derr(:);

        switch i
          case 1
            derr_in_limit = 0.4;
          case 2
            derr_in_limit = 0.4;
          case 3
            derr_in_limit = 0.4;
          case 4
            derr_in_limit = 0.3;            
          case 5
            derr_in_limit = 0.2;            
          case 6
            derr_in_limit = 0.15;            
          otherwise
            derr_in_limit = 0.15;
        end;
        
        ii_in_good = find( (index_in==1)&(derr< derr_in_limit)); % 0.4)); %derr_in_limit));
        ii_out_good = find( (index_in==0)&(derr<0.08));
        ii_good = union(ii_in_good,ii_out_good);
    
        all_ii_good{i}=ii_good;
        all_index_good{i+1} = all_index_good{i}(ii_good);
        XX_OLD = XX;  ZZ_OLD = ZZ;
        XX = XX(ii_good);  ZZ = ZZ(ii_good);

        dparam = abs(params_in-params_fit);
        if (dparam(1)<1e-3 & dparam(2) < 1e-3 & dparam(3) < 0.5 & dparam(4)<1e-3 & dparam(5)<1e-3)
            break;
        end;

        params_in = params_fit;
        
        nold = length(XX_OLD);
        nnew = length(XX);
        if nnew == nold,
            break;
        end;
        
    end;

    Xfinal = Xr0(all_index_good{i});
    Zfinal = Zr0(all_index_good{i});


    % next remove the (X,Z) final points that are more than 0.1 m
    
%     index_in = inpolygon(Xfinal, Zfinal, Xn, Zn);
%     xDist=pdist2([ Xn Zn],[Xfinal Zfinal],'euclidean','smallest',nsmall);        
%     derr = xDist;
%     derr = derr(:);
%     
%     ii_in_good = find( (index_in==1)&(derr< 0.15)); %derr_in_limit));    
%     ii_out_good = find( (index_in==0)&(derr<0.08));  
%         ii_good = union(ii_in_good,ii_out_good);    
%     Xfinal = Xfinal(ii_good);
%     Zfinal = Zfinal(ii_good);    
    
    % next check that the fit is good:
    
    %% FF writes this module still
    
    %
    if (showfig==0),
        return;
    end;

    
    figure(2),clf
    plot(Xr0,Zr0,'k.')
    hold on
    plot(Xfinal, Zfinal, 'r.')
%    plot(Xr(all_ii_good{2}),Zr(all_ii_good{2}),'r*')    
    plot(Xn,Zn,'b--','linewidth',2)
    plot(Xn0,Zn0,'y--','linewidth',2)    
    hold off
%    xlim([-1 2])
    axis equal
    grid
    xlabel('$\tilde{x}$','interpreter','latex')
    ylabel('$\tilde{z}$','interpreter','latex')

