% function [index] = return_basilisk_index(time);
%
%  returns the index associated with the time of a dump file 
%  INPUT: time can be sim time 1001+  or time from release 0--
%  OUTPUT: dump file index


function [index] = return_basilisk_index(time);

index = nan;
if time > 1025,
    disp('*** bad time to get index')
    return;
end;

if (time > 24)&(time<1000),
    disp('** bad time to get index')
    return;
end;

if ( time >= 1001) & (time <= 1025),
     time = time-1001;    
end;

if (time>=0)&(time<=18),
    index = time/0.05;
    return;
end;

index = 360 + (time-18)/0.01;

return

        
