% function [t1,t2] = return_basilisk_time(index);
%
%  returns the time associated with the index of a dump file both in
%  time from start of simulation time and time from start of
%    t1 = time since soliton was released
%    t2 = simulation time.
%    t1 = t2-1001.0

function [t1,t2] = return_basilisk_time(index);


    if index <=360,
        t1 = index*0.05;
        t2 = t1+1001;
        return;
    end;

    ind2 = index-360;
    t1 = 18.0 + ind2*0.01;
    t2 = t1+1001;

    if (t1>23.0),
        disp('** error, index too large')
        t1=nan; t2=nan;
    end;

    return;
        
